*** xml.c	2006-09-21 16:30:47.000000000 +0200
--- ../../xml.c	2006-09-27 15:46:27.000000000 +0200
***************
*** 1046,1051 ****
--- 1046,1053 ----
      xmlChar *source = NULL;
      xmlChar *mac = NULL;
      xmlChar *script = NULL;
+     xmlChar *ip = NULL;
+     xmlChar *target = NULL;
      int typ = 0;
  
      type = xmlGetProp(node, BAD_CAST "type");
***************
*** 1072,1077 ****
--- 1074,1085 ----
              } else if ((script == NULL) &&
                         (xmlStrEqual(cur->name, BAD_CAST "script"))) {
                  script = xmlGetProp(cur, BAD_CAST "path");
+             } else if ((ip == NULL) &&
+                        (xmlStrEqual(cur->name, BAD_CAST "ip"))) {
+                 ip = xmlGetProp(cur, BAD_CAST "address");
+             } else if ((target == NULL) &&
+                        (xmlStrEqual(cur->name, BAD_CAST "target"))) {
+                 target = xmlGetProp(cur, BAD_CAST "dev");
              }
          }
          cur = cur->next;
***************
*** 1088,1093 ****
--- 1096,1105 ----
      }
      if (script != NULL)
          virBufferVSprintf(buf, "(script '%s')", script);
+     if (ip != NULL)
+         virBufferVSprintf(buf, "(ip '%s')", ip);
+     if (target != NULL)
+         virBufferVSprintf(buf, "(vifname '%s')", target);
      if (hvm)
          virBufferAdd(buf, "(type ioemu)", 12);
  
***************
*** 1098,1103 ****
--- 1110,1119 ----
          xmlFree(source);
      if (script != NULL)
          xmlFree(script);
+     if (ip != NULL)
+         xmlFree(ip);
+     if (target != NULL)
+         xmlFree(target);
      return (0);
  }
  
